Další důvod k aktualizaci na nový Macromedia Flash Player

Na serveru Secunia se objevily informace o nové bezpečnostní chybě starších přehrávačů Macromedia Flash Player, která může potenciálním útočníkům dovolit vzdáleně zkompromitovat uživatelův systém. Ačkoliv se nejedná o chybu v aktuální verzi Macromedia Flashe, server Secunia chybu označil za vysoce kritickou.

Zranitelným souborem je Flash.ocx. Jedna z obsažených funkcí udržuje velkou 256 prvkovou tabulku ukazatelů na zásobník. Pomocí programového kódu souboru, který za určitých okolností s touto tabulkou špatně pracuje, lze ve výsledku dosáhnout spuštění libovolného nebezpečného kódu.

Zranitelnost byla nahlášena ve verzi Flash Player 7.0.19.0 a dřívějších (včetně řady 6.x).

Doporučovaným řešením je aktualizace na nové verze: Flash Player 8 (8.0.22.0) nebo aplikace aktualizace pro Flash Player 7 (číslo aktualizované verze 7.0.61.0 nebo 7.0.60.0). Další podrobnosti o chybě lze najít přímo na stránkách společnosti Macromedia.

Zdroj: Secunia

Diskuze (26) Další článek: Ke stažení: nový Firefox se blíží

Témata článku: Flash, Flash Player, Nový, Nový Mac, Libovolný kód, Player, Macromedia, Akt

Určitě si přečtěte


Aktuální číslo časopisu Computer

Zachraňte nefunkční Windows

Jak nakupovat a prodávat kryptoměny

Otestovali jsme konvertibilní notebooky

Velký test 14 herních myší